public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libusb/
Date: Tue,  1 Feb 2022 03:34:24 +0000 (UTC)	[thread overview]
Message-ID: <1643686457.a505a3516f9ea270da9b91a9f77e20f931bea40a.sam@gentoo> (raw)

commit:     a505a3516f9ea270da9b91a9f77e20f931bea40a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  1 03:33:36 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Feb  1 03:34:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a505a351

dev-libs/libusb: add 1.0.25

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libusb/Manifest             |  1 +
 dev-libs/libusb/libusb-1.0.25.ebuild | 74 ++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-libs/libusb/Manifest b/dev-libs/libusb/Manifest
index ab33854c9b7f..f7d51a105801 100644
--- a/dev-libs/libusb/Manifest
+++ b/dev-libs/libusb/Manifest
@@ -1 +1,2 @@
 DIST libusb-1.0.24.tar.bz2 606593 BLAKE2B f6188b5af1225cf8b6d1486b6efcf48e837ee4f2e3592adab3ae6aae0a74a67aa54f40f0dd547f951a194d40954f2ee33acf741d2eee0b8449ce64f2edcf1018 SHA512 5aea36a530aaa15c6dd656d0ed3ce204522c9946d8d39ffbb290dab4a98cda388a2598da4995123d1032324056090bd429e702459626d3e8d7daeebc4e7ff3dc
+DIST libusb-1.0.25.tar.bz2 609127 BLAKE2B 3aecfbf9fc068fdfb8e612918bb895988f8400dc2c3ffd96a81792ab844d632f0c098947200512ddc37cfa9003956f8454c1d0362973a5d646a225f81cc2923b SHA512 f1e6e5577d4bd1ff136927dc66c615014a06ac332ddd797b1d1ad5f7b68e2405e66068dcb210e2f0ae3e31681603ef72efbd88bf7fbe0eb41ce700fdc3f92f9d

diff --git a/dev-libs/libusb/libusb-1.0.25.ebuild b/dev-libs/libusb/libusb-1.0.25.ebuild
new file mode 100644
index 000000000000..328fa227b1de
--- /dev/null
+++ b/dev-libs/libusb/libusb-1.0.25.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal usr-ldscript
+
+DESCRIPTION="Userspace access to USB devices"
+HOMEPAGE="https://libusb.info/ https://github.com/libusb/libusb"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="debug doc examples static-libs test udev"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="static-libs? ( !udev )"
+
+RDEPEND="udev? ( >=virtual/libudev-208:=[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+	!udev? ( virtual/os-headers )"
+BDEPEND="doc? ( app-doc/doxygen )"
+
+multilib_src_configure() {
+	local myeconfargs=(
+		$(use_enable static-libs static)
+		$(use_enable udev)
+		$(use_enable debug debug-log)
+		$(use_enable test tests-build)
+	)
+
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+	emake
+
+	if multilib_is_native_abi; then
+		use doc && emake -C doc
+	fi
+}
+
+multilib_src_test() {
+	emake check
+
+	# noinst_PROGRAMS from tests/Makefile.am
+	if [[ -e /dev/bus/usb ]]; then
+		tests/stress || die
+	else
+		# bug #824266
+		ewarn "/dev/bus/usb does not exist, skipping stress test"
+	fi
+}
+
+multilib_src_install() {
+	emake DESTDIR="${D}" install
+
+	if multilib_is_native_abi; then
+		gen_usr_ldscript -a usb-1.0
+
+		use doc && dodoc -r doc/api-1.0
+	fi
+}
+
+multilib_src_install_all() {
+	find "${ED}" -type f -name "*.la" -delete || die
+
+	dodoc AUTHORS ChangeLog NEWS PORTING README TODO
+
+	if use examples; then
+		docinto examples
+		dodoc examples/*.{c,h}
+	fi
+}


             reply	other threads:[~2022-02-01  3:34 UTC|newest]

Thread overview: 70+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-01  3:34 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-16 15:05 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libusb/ Arthur Zamarin
2024-05-16 15:05 Arthur Zamarin
2024-05-16 15:05 Arthur Zamarin
2024-05-16 15:05 Arthur Zamarin
2024-04-29  8:48 Arthur Zamarin
2024-04-29  8:17 Arthur Zamarin
2024-04-29  8:17 Arthur Zamarin
2024-02-07 19:20 Sam James
2024-02-07 19:20 Sam James
2024-02-02  2:24 Sam James
2022-06-02  7:31 Jakov Smolić
2022-06-02  5:03 Jakov Smolić
2022-06-02  4:30 Jakov Smolić
2022-06-02  4:06 Jakov Smolić
2022-06-02  3:57 Jakov Smolić
2022-06-02  2:21 Sam James
2022-06-02  2:21 Sam James
2022-06-02  2:03 Sam James
2022-05-04  7:07 WANG Xuerui
2022-04-11 23:22 Sam James
2021-11-17 22:15 Mike Gilbert
2021-09-07 17:37 Mike Gilbert
2021-04-27 22:10 Sam James
2021-04-27 18:09 Sam James
2021-04-26 20:54 Sergei Trofimovich
2021-04-26 19:24 Sam James
2021-04-26 19:11 Sam James
2021-04-26 19:11 Sam James
2020-12-12 13:41 Lars Wendler
2020-12-11  9:38 Lars Wendler
2020-12-11  8:18 Lars Wendler
2020-12-11  7:49 Lars Wendler
2020-12-11  7:49 Lars Wendler
2020-11-18 22:01 Sergei Trofimovich
2020-11-17 19:17 Agostino Sarubbo
2020-11-17 19:10 Agostino Sarubbo
2020-11-17 18:55 Agostino Sarubbo
2020-11-15  5:46 Sam James
2020-11-14 21:15 Sam James
2020-11-14 21:15 Sam James
2020-10-19 16:53 Mike Gilbert
2020-03-23  1:36 Jonas Stein
2019-10-27 15:31 Michał Górny
2019-08-30  8:14 Lars Wendler
2018-10-17 13:26 Mikle Kolyada
2018-09-08  4:59 Matt Turner
2018-06-02  0:57 Aaron Bauman
2018-05-27  9:09 Mikle Kolyada
2018-05-06 13:20 Mart Raudsepp
2018-04-06 11:16 Lars Wendler
2018-03-25  6:55 Tim Harder
2018-03-14 21:41 Sergei Trofimovich
2018-03-04 10:12 Sergei Trofimovich
2018-01-28 18:23 Tobias Klausmann
2018-01-09 22:26 Sergei Trofimovich
2018-01-09 13:32 Mikle Kolyada
2017-12-28 13:34 Sergei Trofimovich
2017-12-21 19:28 Markus Meier
2017-12-18 16:40 Jason Zaman
2017-08-23 10:37 Tim Harder
2017-08-23 10:37 Tim Harder
2016-12-08  6:06 Mike Frysinger
2016-10-26 22:44 Tim Harder
2016-08-21 21:51 Tim Harder
2016-08-21 21:48 Tim Harder
2016-02-04  4:28 Mike Gilbert
2016-02-04  4:19 Mike Gilbert
2016-02-03 17:33 Richard Farina
2016-02-03 17:33 Richard Farina

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643686457.a505a3516f9ea270da9b91a9f77e20f931bea40a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox